---------------------
PatchSet 10843 
Date: 2007/06/10 10:43:17
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Restore the code making helpers run in their own sessions.

Having the helpers in the same session / process group as Squid broke
debugging with Squid running in foreground, which is worth more than
to have the process associations entirely correct.

Members: 
	src/ipc.cc:1.45->1.46 

Index: squid3/src/ipc.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/ipc.cc,v
retrieving revision 1.45
retrieving revision 1.46
diff -u -r1.45 -r1.46
--- squid3/src/ipc.cc	28 Apr 2007 22:26:37 -0000	1.45
+++ squid3/src/ipc.cc	10 Jun 2007 10:43:17 -0000	1.46
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipc.cc,v 1.45 2007/04/28 22:26:37 hno Exp $
+ * $Id: ipc.cc,v 1.46 2007/06/10 10:43:17 hno Exp $
  *
  * DEBUG: section 54    Interprocess Communication
  * AUTHOR: Duane Wessels
@@ -386,6 +386,10 @@
         squid_signal(SIGHUP, SIG_IGN, SA_RESETHAND);
     }
 
+#if HAVE_SETSID
+    setsid();
+#endif
+
     execvp(prog, (char *const *) args);
 
     debug_log = fdopen(2, "a+");
